## kitty 0.13.3

=== Makefile ===
ifdef V
		VVAL=--verbose
endif
ifdef VERBOSE
		VVAL=--verbose
endif

all:
	python3 setup.py $(VVAL)

test:
	python3 setup.py $(VVAL) test

clean:
	python3 setup.py $(VVAL) clean

# A debug build
debug:
	python3 setup.py build $(VVAL) --debug

# Build with the ASAN and UBSAN sanitizers
asan:
	python3 setup.py build $(VVAL) --debug --sanitize

profile:
	python3 setup.py build $(VVAL) --profile

logo/kitty.iconset/icon_256x256.png: logo/kitty.svg logo/make.py
	logo/make.py

rendered_logo: logo/kitty.iconset/icon_256x256.png

app: rendered_logo
	python3 setup.py kitty.app $(VVAL)

man:
	$(MAKE) FAIL_WARN=$(FAIL_WARN) -C docs man

html:
	$(MAKE) FAIL_WARN=$(FAIL_WARN) -C docs html

linkcheck:
	$(MAKE) FAIL_WARN=$(FAIL_WARN) -C docs linkcheck

docs: man html

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -T $(FAIL_WARN)
SPHINXBUILD   = python3 .. +launch :sphinx-build
SPHINXPROJ    = kitty
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## kitty 0.11.3

=== debian/changelog ===
kitty (0.11.3-1) unstable; urgency=medium

  * New upstream release
  * Register kitty's HTML docs with doc-base
  * lintian: Add ${misc:Depends} to kitty-terminfo

 -- James McCoy <jamessan@debian.org>  Sun, 15 Jul 2018 08:55:48 -0400

kitty (0.11.2-3) unstable; urgency=medium

  * Avoid stripping PayPal pixel when not building docs
  * Declare compliance with Policy 4.1.5, no changes needed

 -- James McCoy <jamessan@debian.org>  Wed, 04 Jul 2018 19:42:34 -0400

kitty (0.11.2-2) unstable; urgency=medium

  * Move python3-sphinx to Build-Depends, since arch builds also build docs.

 -- James McCoy <jamessan@debian.org>  Wed, 04 Jul 2018 18:05:21 -0400

kitty (0.11.2-1) unstable; urgency=medium

  * New upstream release
    + Lenna image removed
    + Accepts -T to set the terminal's title
  * Update copyright for new release
  * Replace manual doc generation with upstream's docs target
  * Install example kitty.conf from new location
  * Enable dh sphinxdoc addon
  * lintian:
    + Remove PayPal tracking pixel from support.html
    + Disable the "Fork me" ribbon
  * Add kitty as an alternative for x-terminal-emulator. (Closes: #900704)

 -- James McCoy <jamessan@debian.org>  Wed, 04 Jul 2018 14:02:55 -0400

kitty (0.10.1-1) unstable; urgency=medium

  * New upstream release

 -- James McCoy <jamessan@debian.org>  Wed, 30 May 2018 22:17:18 -0400

kitty (0.9.1-1) unstable; urgency=medium

  [ upstream ]
  * Fix build failures related to unsigned char or big-endian platforms.
    (Closes: #896099)
  * New kitten for performing/viewing diffs
  * Output GL version when running with --debug-gl (to help with #897381)

  [ James McCoy ]
  * rules:
    + Override upstream's CFLAGS instead of augmenting them
    + Export CPPFLAGS independently, now that upstream's buildsystem
      explicitly handles them
  * Add a watch file
  * Update d/copyright for 0.9.1
  * control:
    + Add libx11-xcb-dev to Build-Depends instead of relying on it implicitly
      being installed
    * Recommend kitty-doc from kitty package so documentation is typically
      available
  * Convert asciidoc files into html documentation (Closes: #897003)
    + Add asciidoctor to Build-Depends-Indep
    + Create new kitty-doc package

 -- James McCoy <jamessan@debian.org>  Mon, 07 May 2018 22:54:49 -0400

kitty (0.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #886311)

 -- James McCoy <jamessan@debian.org>  Wed, 18 Apr 2018 23:46:22 -0400

=== debian/control ===
Source: kitty
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Section: x11
Standards-Version: 4.1.5
Rules-Requires-Root: no
Homepage: https://github.com/kovidgoyal/kitty
Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
Vcs-Browser: https://salsa.debian.org/jamessan/kitty
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 libfontconfig1-dev,
 libfreetype6-dev,
 libgl1-mesa-dev,
 libharfbuzz-dev (>= 1.5.0),
 libpng-dev,
 libx11-xcb-dev,
 libxcursor-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-x11-dev,
 libxrandr-dev,
 pkg-config,
 python3-dev (>= 3.5),
 python3-sphinx,
 zlib1g-dev,

Package: kitty
Architecture: any
Depends:
 kitty-terminfo,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 kitty-doc
Provides:
 x-terminal-emulator
Description: fast, featureful, GPU based terminal emulator
 Kitty supports modern terminal features like: graphics, unicode,
 true-color, OpenType ligatures, mouse protocol, focus tracking, and
 bracketed paste.
 .
 Kitty has a framework for "kittens", small terminal programs that can be used
 to extend its functionality.

Package: kitty-terminfo
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: fast, featureful, GPU based terminal emulator (terminfo file)
 This package provides the xterm-kitty terminfo definition for the kitty
 terminal emulator so that it can easily be installed on remote systems.

Package: kitty-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks: kitty (<< 0.9.1-1~)
Replaces: kitty (<< 0.9.1-1~)
Description: fast, featureful, GPU based terminal emulator (documentation)
 This package contains the AsciiDoc/HTML documentation for the kitty terminal
 emulator.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

LDFLAGS += -Wl,--as-needed

OVERRIDE_CFLAGS = $(CFLAGS)
OVERRIDE_CPPFLAGS = $(CPPFLAGS)
OVERRIDE_LDFLAGS = $(LDFLAGS)
export OVERRIDE_CFLAGS OVERRIDE_CPPFLAGS OVERRIDE_LDFLAGS

%:
	dh $@ --with python3 --with sphinxdoc

override_dh_auto_clean:
	python3 setup.py --verbose clean

override_dh_auto_build: export HOME=$(CURDIR)/debian/fakehome
override_dh_auto_build: MAKEFLAGS=SPHINXOPTS=-Dhtml_theme_options.github_banner=false
override_dh_auto_build:
	python3 setup.py --verbose linux-package

override_dh_auto_test: export HOME=$(CURDIR)/debian/fakehome
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p "$(HOME)"
	env HOME="$(HOME)" python3 setup.py --verbose test
endif

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	cp -a linux-package/* $(CURDIR)/debian/tmp/usr/

override_dh_install:
	dh_install -Xlib/kitty/terminfo

override_dh_installdocs:
	dh_installdocs
	# Remove PayPal's tracking pixel
	[ ! -d debian/kitty-doc ] || sed -i '/pixel\.gif/d' debian/kitty-doc/usr/share/doc/kitty/html/support.html

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

## kitty 0.13.3

=== debian/changelog ===
kitty (0.13.3-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Policy 4.3.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Thu, 24 Jan 2019 23:16:31 -0500

kitty (0.13.1-1) unstable; urgency=medium

  * New upstream release
  * Add python3-pil to Build-Depends for tests
  * Update kitty's homepage.
    Thanks to Chris Lamb for the patch (Closes: #911848)

 -- James McCoy <jamessan@debian.org>  Sun, 16 Dec 2018 20:40:07 -0500

kitty (0.12.3-1) unstable; urgency=medium

  * New upstream release
    + Add support for IME via IBus, enabled by setting GLFW_IM_MODULE=ibus
    + New command, kitty + complete, to export shell completion for bash, zsh,
      and fish
  * control: Add libdbus-1-dev to Build-Depends for IBus support
  * rules: Disable verbose builds for DEB_BUILD_OPTIONS=terse
  * Declare compliance with Policy 4.2.1

 -- James McCoy <jamessan@debian.org>  Sun, 30 Sep 2018 09:36:30 -0400

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
 Section: x11
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
-Homepage: https://github.com/kovidgoyal/kitty
+Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
 Vcs-Browser: https://salsa.debian.org/jamessan/kitty
 Build-Depends:
  debhelper (>= 11~),
  dh-python,
+ libdbus-1-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  libgl1-mesa-dev,
@@ -23,6 +24,7 @@
  libxrandr-dev,
  pkg-config,
  python3-dev (>= 3.5),
+ python3-pil <!nocheck>,
  python3-sphinx,
  zlib1g-dev,

## kitty 0.14.3

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,9 @@
 debug:
 	python3 setup.py build $(VVAL) --debug
 
+debug-event-loop:
+	python3 setup.py build $(VVAL) --debug --extra-logging=event-loop
+
 # Build with the ASAN and UBSAN sanitizers
 asan:
 	python3 setup.py build $(VVAL) --debug --sanitize
@@ -25,12 +28,7 @@
 profile:
 	python3 setup.py build $(VVAL) --profile
 
-logo/kitty.iconset/icon_256x256.png: logo/kitty.svg logo/make.py
-	logo/make.py
-
-rendered_logo: logo/kitty.iconset/icon_256x256.png
-
-app: rendered_logo
+app: 
 	python3 setup.py kitty.app $(VVAL)
 
 man:

=== debian/changelog ===
kitty (0.14.3-1) unstable; urgency=medium

  * New upstream release
    + Update to Unicode 12
  * control:
    + Add libcanberra-dev to B-D, used for term bell
    + Add imagemagick to Suggests for icat kitten
    + Add wayland-protocols/libwayland-dev to B-D to enable Wayland support
  * Install a system kitty.conf to disable update checks
  * rules:
    + Fix name of uptream changelog file
    + Disable compression of all the html docs

 -- James McCoy <jamessan@debian.org>  Sun, 04 Aug 2019 21:59:29 -0400

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Build-Depends:
  debhelper (>= 11~),
  dh-python,
+ libcanberra-dev,
  libdbus-1-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -22,10 +23,12 @@
  libxinerama-dev,
  libxkbcommon-x11-dev,
  libxrandr-dev,
+ libwayland-dev,
  pkg-config,
  python3-dev (>= 3.5),
  python3-pil <!nocheck>,
  python3-sphinx,
+ wayland-protocols,
  zlib1g-dev,
 
 Package: kitty
@@ -37,6 +40,9 @@
  ${shlibs:Depends},
 Recommends:
  kitty-doc
+Suggests:
+# For tui kitten
+ imagemagick
 Provides:
  x-terminal-emulator
 Description: fast, featureful, GPU based terminal emulator

## kitty 0.15.0

=== debian/changelog ===
kitty (0.15.0-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: an attacker controlled image file allows execution
    of arbitrary commands
    - debian/patches/CVE-2020-35605.patch: removes printing image
      filename in error message
    - CVE-2020-35605

 -- Mark Esler <mark.esler@canonical.com>  Tue, 04 Oct 2022 18:46:33 -0500

kitty (0.15.0-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:32:56 +0000

kitty (0.15.0-1) unstable; urgency=medium

  * New upstream release
    + Dynamically load canberra (for sounds) rather than linking against it.

 -- James McCoy <jamessan@debian.org>  Sun, 15 Dec 2019 22:28:08 -0500

kitty (0.14.6-1) unstable; urgency=medium

  * New upstream release
    + Support fonts where fontconfig reports spacing=90.  (Closes: #944558)
  * Declare compliance with Policy 4.4.1, no changes needed

 -- James McCoy <jamessan@debian.org>  Mon, 11 Nov 2019 20:18:35 -0500

kitty (0.14.4-1) unstable; urgency=medium

  * New upstream release
  * control:
    + Restrict Wayland B-D to Linux architectures
  * Update to debhelper compat 12 and debhelper-compat Build-Depends
  * Declare compliance with Policy 4.4.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Tue, 03 Sep 2019 20:52:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: kitty
 Priority: optional
-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
 Section: x11
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
 Vcs-Browser: https://salsa.debian.org/jamessan/kitty
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
- libcanberra-dev,
  libdbus-1-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -23,12 +23,12 @@
  libxinerama-dev,
  libxkbcommon-x11-dev,
  libxrandr-dev,
- libwayland-dev,
+ libwayland-dev [linux-any],
  pkg-config,
  python3-dev (>= 3.5),
  python3-pil <!nocheck>,
  python3-sphinx,
- wayland-protocols,
+ wayland-protocols [linux-any],
  zlib1g-dev,
 
 Package: kitty
@@ -39,7 +39,9 @@
  ${python3:Depends},
  ${shlibs:Depends},
 Recommends:
- kitty-doc
+ kitty-doc,
+# To play the "beep" sound for the terminal
+ libcanberra0
 Suggests:
 # For tui kitten
  imagemagick

=== debian/rules ===
--- 
+++ 
@@ -11,22 +11,27 @@
 OVERRIDE_LDFLAGS = $(LDFLAGS)
 export OVERRIDE_CFLAGS OVERRIDE_CPPFLAGS OVERRIDE_LDFLAGS
 
+V=
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+	V=--verbose
+endif
+
 %:
 	dh $@ --with python3 --with sphinxdoc
 
 override_dh_auto_clean:
-	python3 setup.py --verbose clean
+	python3 setup.py $(V) clean
 
 override_dh_auto_build: export HOME=$(CURDIR)/debian/fakehome
 override_dh_auto_build: MAKEFLAGS=SPHINXOPTS=-Dhtml_theme_options.github_banner=false
 override_dh_auto_build:
-	python3 setup.py --verbose linux-package
+	python3 setup.py $(V) linux-package
 
 override_dh_auto_test: export HOME=$(CURDIR)/debian/fakehome
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p "$(HOME)"
-	env HOME="$(HOME)" python3 setup.py --verbose test
+	env HOME="$(HOME)" python3 setup.py $(V) test
 endif
 
 override_dh_auto_install:
@@ -45,4 +50,7 @@
 	dh_python3 --no-ext-rename
 
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGELOG.rst
+	dh_installchangelogs docs/changelog.rst
+
+override_dh_compress:
+	dh_compress -X/html/

## kitty 0.18.3

=== debian/changelog ===
kitty (0.18.3-1) unstable; urgency=medium

  * New upstream release (Closes: #966107)
    + Backwards incompatibility: The numbers used to encode mouse buttons for
      "send_mouse_event" function that can be used in kittens have been
      changed
  * rules: Build launcher before running tests

 -- James McCoy <jamessan@debian.org>  Wed, 12 Aug 2020 22:32:41 -0400

kitty (0.17.4-1) unstable; urgency=medium

  * New upstream version
    + Fix test failures on 64-bit big-endian builds.
    + Use -fpic to fix build failure on sparc64.

 -- James McCoy <jamessan@debian.org>  Sat, 09 May 2020 09:52:08 -0400

kitty (0.17.3-1) unstable; urgency=medium

  [ James McCoy ]
  * New upstream release
    + Fix crash when using drag and drop.  (Closes: #956576)
    + Update to Unicode 13.0
    + Add strikethrough capability to terminfo entry
  * upstream/metadata: Add upstream URLs

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- James McCoy <jamessan@debian.org>  Fri, 24 Apr 2020 08:58:35 -0400

kitty (0.17.1-1) unstable; urgency=medium

  * New upstream release
  * Bump python3-dev Build-Depends to 3.6
  * Declare compliance with Policy 4.5.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 28 Mar 2020 10:02:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: kitty
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: James McCoy <jamessan@debian.org>
 Section: x11
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
@@ -25,7 +24,7 @@
  libxrandr-dev,
  libwayland-dev [linux-any],
  pkg-config,
- python3-dev (>= 3.5),
+ python3-dev (>= 3.6),
  python3-pil <!nocheck>,
  python3-sphinx,
  wayland-protocols [linux-any],

## kitty 0.19.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 ifdef V
-		VVAL=--verbose
+	VVAL=--verbose
 endif
 ifdef VERBOSE
-		VVAL=--verbose
+	VVAL=--verbose
 endif
 
 all:
@@ -28,7 +28,7 @@
 profile:
 	python3 setup.py build $(VVAL) --profile
 
-app: 
+app:
 	python3 setup.py kitty.app $(VVAL)
 
 man:

=== debian/changelog ===
kitty (0.19.3-1) unstable; urgency=medium

  * New upstream release
    + Fix arbitrary command execution via graphics protocol.  CVE-2020-35605

 -- James McCoy <jamessan@debian.org>  Tue, 22 Dec 2020 15:08:30 -0500

kitty (0.19.2-1) unstable; urgency=medium

  * New upstream release
  * Add override for repeated-path-segment
  * Declare compliance with Policy 4.5.1, no changes needed
  * Bump debhelper-compat to 13

 -- James McCoy <jamessan@debian.org>  Mon, 30 Nov 2020 15:38:53 -0500

kitty (0.19.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Add information for uthash.h
  * d/control: Add new Build-Depends on liblcms2-dev
  * Use system uthash-dev instead of shipped version

 -- James McCoy <jamessan@debian.org>  Wed, 28 Oct 2020 22:43:42 -0400

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
 Section: x11
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
 Vcs-Browser: https://salsa.debian.org/jamessan/kitty
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  libdbus-1-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  libgl1-mesa-dev,
  libharfbuzz-dev (>= 1.5.0),
+ liblcms2-dev,
  libpng-dev,
  libx11-xcb-dev,
  libxcursor-dev,
@@ -27,6 +28,7 @@
  python3-dev (>= 3.6),
  python3-pil <!nocheck>,
  python3-sphinx,
+ uthash-dev,
  wayland-protocols [linux-any],
  zlib1g-dev,

## kitty 0.21.2

=== docs/Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    = -T $(FAIL_WARN)
-SPHINXBUILD   = python3 .. +launch :sphinx-build
+SPHINXOPTS    = -j auto -T $(FAIL_WARN)
+SPHINXBUILD   = sphinx-build
 SPHINXPROJ    = kitty
 SOURCEDIR     = .
 BUILDDIR      = _build

=== debian/changelog ===
kitty (0.21.2-1ubuntu0.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: an attacker controlled desktop notification escape
    sequence allows execution of arbitrary commands
    - debian/patches/CVE-2022-41322.patch: sanitizes desktop notification
      escape sequence
    - CVE-2022-41322

 -- Mark Esler <mark.esler@canonical.com>  Tue, 04 Oct 2022 18:46:33 -0500

kitty (0.21.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:28:35 +0000

kitty (0.21.2-1) unstable; urgency=medium

  * New upstream release
    + BREAKING CHANGES
      - Session files now use the full "launch" command with all its
        capabilities. However, the syntax of the command is slightly different
        from before. In particular watchers are now specified directly on
        launch and environment variables are set using "--env".
      - The options to control which modifiers keys to press for various mouse
        actions have been removed, if you used these options, you will need to
        replace them with configuration using the new "mouse actions
        framework" as they will be ignored. The options were:
        "terminal_select_modifiers", "rectangle_select_modifiers" and
        "open_url_modifiers".
  * control: Bump libharfbuzz-dev Build-Depends to >= 2.2.0
  * Declare compliance with Policy 4.6.0, no changes needed
  * Document how to use IME with kitty (Closes: #990316)

 -- James McCoy <jamessan@debian.org>  Sun, 21 Nov 2021 11:55:20 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kitty
 Priority: optional
-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
 Section: x11
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
@@ -14,7 +15,7 @@
  libfontconfig1-dev,
  libfreetype6-dev,
  libgl1-mesa-dev,
- libharfbuzz-dev (>= 1.5.0),
+ libharfbuzz-dev (>= 2.2.0),
  liblcms2-dev,
  libpng-dev,
  libx11-xcb-dev,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v(\d[\d.]+)\.tar\.gz%kitty-$1.tar.gz%" \
  https://github.com/kovidgoyal/kitty/tags \
  (?:.*?/)?v(\d[\d.]+)\.tar\.gz

## kitty 0.26.5

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,10 @@
 endif
 ifdef VERBOSE
 	VVAL=--verbose
+endif
+
+ifdef FAIL_WARN
+export FAIL_WARN
 endif
 
 all:
@@ -31,13 +35,29 @@
 app:
 	python3 setup.py kitty.app $(VVAL)
 
+linux-package: FORCE
+	rm -rf linux-package
+	python3 setup.py linux-package
+
+FORCE:
+
 man:
-	$(MAKE) FAIL_WARN=$(FAIL_WARN) -C docs man
+	$(MAKE) -C docs man
 
 html:
-	$(MAKE) FAIL_WARN=$(FAIL_WARN) -C docs html
+	$(MAKE) -C docs html
+
+dirhtml:
+	$(MAKE) -C docs dirhtml
 
 linkcheck:
-	$(MAKE) FAIL_WARN=$(FAIL_WARN) -C docs linkcheck
+	$(MAKE) -C docs linkcheck
+
+website:
+	./publish.py --only website
 
 docs: man html
+
+
+develop-docs:
+	$(MAKE) -C docs develop-docs

=== docs/Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
 # Minimal makefile for Sphinx documentation
 #
 
+ifdef FAIL_WARN
+override FAIL_WARN=-W
+endif
+
 # You can set these variables from the command line.
-SPHINXOPTS    = -j auto -T $(FAIL_WARN)
+SPHINXOPTS    = -n -q -j auto -T $(FAIL_WARN) $(OPTS)
 SPHINXBUILD   = sphinx-build
 SPHINXPROJ    = kitty
 SOURCEDIR     = .
@@ -18,3 +22,7 @@
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
 %: Makefile
 	$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
+
+
+develop-docs:
+	sphinx-autobuild --ignore "$(abspath $(SOURCEDIR))/generated/*" --watch ../kitty --watch ../kittens -b dirhtml "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS)

=== docs/requirements.txt ===
sphinx
furo
sphinx-copybutton
sphinxext-opengraph
sphinx-inline-tabs

=== debian/changelog ===
kitty (0.26.5-5) unstable; urgency=high

  * Ship kitty-open.desktop as an example, instead of under
    /usr/share/applications.  This avoids registering kitty as a handler for
    various MIME types, which could cause it to execute untrusted files,
    instead of viewing them. (Closes: #1034875)

 -- James McCoy <jamessan@debian.org>  Fri, 12 May 2023 21:46:07 -0400

kitty (0.26.5-4) unstable; urgency=medium

  * Backport test fix when $TERM is set to non-kitty value (Closes: #1030054)
  * Lintian
    - Replace libfontconfig1-dev B-D with libfontconfig-dev
    - Replace libfreetype6-dev B-D with libfreetype-dev
    - Replace libgl1-mesa-dev B-D with libgl-dev and libglvnd-dev

 -- James McCoy <jamessan@debian.org>  Tue, 31 Jan 2023 06:09:41 -0500

kitty (0.26.5-3) unstable; urgency=medium

  * Backport patch to fix test failures on Python 3.11
  * Include terminfo file in kitty package, as needed by the ssh kitten
    (Closes: #1027777)

 -- James McCoy <jamessan@debian.org>  Wed, 04 Jan 2023 06:14:15 -0500

kitty (0.26.5-2) unstable; urgency=medium

  * Upload to unstable
  * Set up a writable $KITTY_RUNTIME_DIRECTORY for tests
  * Move Vcs to debian group
  * Backport patch to fix big-endian test failures

 -- James McCoy <jamessan@debian.org>  Fri, 23 Dec 2022 13:22:36 -0500

kitty (0.26.5-1) experimental; urgency=medium

  * New upstream release (Closes: #1011079)
    - Remove all backported patches
    - Add zsh to Build-Depends for shell integration tests
    - Add fish to Build-Depends for shell integration tests
  * Set LC_ALL=C.UTF-8 for tests
  * Split shell-integration files into new kitty-shell-integration package
  * Lintian:
    - Adjust overrides to new format
    - Override bin-sbin-mismatch lintian tag in ssh kitten
    - Override bash-term-in-posix-shell in ssh shell integration
  * Switch to dh_installalternatives
  * Declare compliance with Policy 4.6.2, no changes needed
  * Backport patch to fix bash integration with bash >= 5.2

 -- James McCoy <jamessan@debian.org>  Tue, 20 Dec 2022 08:43:41 -0500

kitty (0.21.2-2) unstable; urgency=medium

  * Remove docs/_build/ when running clean
  * Use wrapper script to provide gmake binary during build
  * Backport security fix
    + Sanitize notifications ids as they are retransmitted over the TTY
      (Closes: #1020582, CVE-2022-41322)

 -- James McCoy <jamessan@debian.org>  Wed, 28 Sep 2022 21:54:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: kitty
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: James McCoy <jamessan@debian.org>
 Section: x11
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://sw.kovidgoyal.net/kitty/
-Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
-Vcs-Browser: https://salsa.debian.org/jamessan/kitty
+Vcs-Git: https://salsa.debian.org/debian/kitty.git
+Vcs-Browser: https://salsa.debian.org/debian/kitty
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ fish <!nocheck>,
+ furo <!nodoc>,
  libdbus-1-dev,
- libfontconfig1-dev,
- libfreetype6-dev,
- libgl1-mesa-dev,
- libharfbuzz-dev (>= 2.2.0),
+ libfontconfig-dev,
+ libfreetype-dev,
+ libgl-dev,
+ libglvnd-dev,
+ libharfbuzz-dev,
  liblcms2-dev,
  libpng-dev,
+ librsync-dev,
+ libssl-dev,
  libx11-xcb-dev,
  libxcursor-dev,
  libxi-dev,
@@ -26,16 +30,21 @@
  libxrandr-dev,
  libwayland-dev [linux-any],
  pkg-config,
- python3-dev (>= 3.6),
+ python3-dev,
  python3-pil <!nocheck>,
- python3-sphinx,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>,
+ python3-sphinx-inline-tabs <!nodoc>,
+ python3-sphinxext-opengraph <!nodoc>,
  uthash-dev,
  wayland-protocols [linux-any],
  zlib1g-dev,
+ zsh <!nocheck>,
 
 Package: kitty
 Architecture: any
 Depends:
+ kitty-shell-integration,
  kitty-terminfo,
  ${misc:Depends},
  ${python3:Depends},
@@ -66,6 +75,16 @@
  This package provides the xterm-kitty terminfo definition for the kitty
  terminal emulator so that it can easily be installed on remote systems.
 
+Package: kitty-shell-integration
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Description: fast, featureful, GPU based terminal emulator (shell integration files)
+ This package provides Kitty's shell-integration files so that it can easily
+ be installed on remote systems.
+
 Package: kitty-doc
 Architecture: all
 Multi-Arch: foreign
@@ -75,8 +94,6 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Breaks: kitty (<< 0.9.1-1~)
-Replaces: kitty (<< 0.9.1-1~)
 Description: fast, featureful, GPU based terminal emulator (documentation)
  This package contains the AsciiDoc/HTML documentation for the kitty terminal
  emulator.

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 include /usr/share/dpkg/default.mk
-
-LDFLAGS += -Wl,--as-needed
 
 OVERRIDE_CFLAGS = $(CFLAGS)
 OVERRIDE_CPPFLAGS = $(CPPFLAGS)
@@ -16,22 +14,24 @@
 	V=--verbose
 endif
 
+HOME = $(CURDIR)/debian/fakehome
+KITTY_RUNTIME_DIRECTORY = $(CURDIR)/debian/fakeruntime
+
 %:
 	dh $@ --with python3 --with sphinxdoc
 
 override_dh_auto_clean:
 	python3 setup.py $(V) clean
 
-override_dh_auto_build: export HOME=$(CURDIR)/debian/fakehome
-override_dh_auto_build: MAKEFLAGS=SPHINXOPTS=-Dhtml_theme_options.github_banner=false
 override_dh_auto_build:
-	python3 setup.py $(V) linux-package
+	env HOME="$(HOME)" PATH=$$PATH:$(CURDIR)/debian/bin python3 setup.py $(V) linux-package
 
-override_dh_auto_test: export HOME=$(CURDIR)/debian/fakehome
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p "$(HOME)"
-	env HOME="$(HOME)" python3 setup.py $(V) test
+	mkdir -p "$(KITTY_RUNTIME_DIRECTORY)"
+	env HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) build-launcher
+	env HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" LC_ALL=C.UTF-8 python3 setup.py $(V) test
 endif
 
 override_dh_auto_install:
@@ -39,7 +39,8 @@
 	cp -a linux-package/* $(CURDIR)/debian/tmp/usr/
 
 override_dh_install:
-	dh_install -Xlib/kitty/terminfo
+	dh_install -Nkitty-shell-integration -Xlib/kitty/shell-integration
+	dh_install -pkitty-shell-integration
 
 override_dh_installdocs:
 	dh_installdocs

## kitty 0.31.0

=== debian/changelog ===
kitty (0.31.0-4) unstable; urgency=medium

  * Update Forwarded DEP3 patch headers
  * Remove unneeded hunk from 'use-usr-bin-env-in-shebang' patch
  * Backport kitten man pages (Closes: #1055770)
  * Add NEWS entry regarding change in text rendering (Closes: #1059382)
  * Remove unneeded gmake alias
  * Pass -trimpath to go build to ensure reproducible binaries
  * Remove unneeded bin-sbin-mismatch lintian override

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 25 Dec 2023 21:52:43 +0530

kitty (0.31.0-3) unstable; urgency=medium

  * Move to unstable after fixing bugs in (and testing) the new version.
  * Patch update-self to disable functionality for packaged version
    and explicitly state that to the user with a message when the
    command is run.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 17 Nov 2023 12:45:09 +0530

kitty (0.31.0-2) experimental; urgency=medium

  * Do not install kitty.conf to /etc/xdg as updates are anyway not run
    on non-frozen builds which includes packages built from source
    (Closes: #1054633)
  * Add in upstream patch to Fix config file reloading not working is a
    system config file is set and no user config file is present at startup
  * Add a preinst to remove config file if not modified by the user

 -- Nilesh Patra <nilesh@debian.org>  Mon, 13 Nov 2023 15:06:30 +0530

kitty (0.31.0-1) experimental; urgency=medium

  [ Maytham Alsudany ]
  * New upstream version 0.31.0
  * Run gen/go_code.py in debian/rules
  * Add descriptions to patches
  * Skip failing test_fish_integration

  [ Nilesh Patra ]
  * Add own d/salsa-ci.yml for running CI; disable reprotest
  * backport upstream patch to fix test_fish_integration test
  * Add patch to skip a couple of tests on ppc64el

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Nov 2023 22:14:06 +0530

kitty (0.30.1-1) experimental; urgency=medium

  [ Maytham Alsudany ]
  * New upstream release (Closes: #1030238, #1037440)
  * drop old patches
  * patch: make setup.py compatible with GOPATH mode
  * update debian/rules to build new kittens binary
  * install new kitten binary
  * enforce minimum version for golang-github-bmatcuk-doublestar-dev
  * resolve lintian shebang error
  * use dh-golang where possible
  * Ensure consistent shebangs in Python library files
  * Eliminate all privacy breaches
  * Ignore the fact that shell integaration scripts aren't executable
  * Update address of the FSF in debian/copyright
  * Remove all installation instructions
  * Link docs/graphics-protocol.rst image
  * fixup! Link docs/graphics-protocol.rst image

  [ Nilesh Patra ]
  * Add myself as new Maintainer and Maytham as Uploader (Closes: #1055347)
  * Specify XS-Go-Import-Path
  * Enforce minimum version for golang-golang-x-exp-dev
  * Do not run tests inside go testing directory
  * Use dh-golang's buildsystem to test instead of kitty's upstream system
  * Skip couple of failing go tests
  * Add ldflags as well to the build command
  * Run dh_golang and generate Built-Using packages with the
    same field in d/control
  * Remove _build from d/clean. Go buildsystem should take care of it

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Nov 2023 01:59:38 +0530

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,33 @@
 Source: kitty
 Priority: optional
-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: Nilesh Patra <nilesh@debian.org>
+Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
 Section: x11
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
+XS-Go-Import-Path: kitty
 Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/debian/kitty.git
 Vcs-Browser: https://salsa.debian.org/debian/kitty
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ dh-golang,
+ golang-any,
+ golang-github-altree-bigfloat-dev,
+ golang-github-alecthomas-chroma-v2-dev,
+ golang-github-bmatcuk-doublestar-dev (>= 4),
+ golang-github-disintegration-imaging-dev,
+ golang-github-dlclark-regexp2-dev,
+ golang-github-google-go-cmp-dev,
+ golang-github-google-uuid-dev,
+ golang-github-seancfoley-ipaddress-go-dev,
+ golang-github-shirou-gopsutil-dev,
+ golang-github-zeebo-xxh3-dev,
+ golang-golang-x-exp-dev (>= 0.0~git20230801),
+ golang-golang-x-image-dev,
+ golang-golang-x-sys-dev,
+ golang-howett-plist-dev,
  fish <!nocheck>,
  furo <!nodoc>,
  libdbus-1-dev,
@@ -28,6 +46,7 @@
  libxinerama-dev,
  libxkbcommon-x11-dev,
  libxrandr-dev,
+ libxxhash-dev,
  libwayland-dev [linux-any],
  pkg-config,
  python3-dev,
@@ -58,6 +77,7 @@
  imagemagick
 Provides:
  x-terminal-emulator
+Built-Using: ${misc:Built-Using}
 Description: fast, featureful, GPU based terminal emulator
  Kitty supports modern terminal features like: graphics, unicode,
  true-color, OpenType ligatures, mouse protocol, focus tracking, and

=== debian/rules ===
#!/usr/bin/make -f
# vim: noexpandtab shiftwidth=4 softtabstop=0

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

OVERRIDE_CFLAGS = $(CFLAGS)
OVERRIDE_CPPFLAGS = $(CPPFLAGS)
OVERRIDE_LDFLAGS = $(LDFLAGS)
export OVERRIDE_CFLAGS OVERRIDE_CPPFLAGS OVERRIDE_LDFLAGS

V=
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	V=--verbose
endif

HOME = $(CURDIR)/debian/fakehome
KITTY_RUNTIME_DIRECTORY = $(CURDIR)/debian/fakeruntime

SRCDIR = $(CURDIR)

GOPATH = $(CURDIR)/_build
GO_BUILDDIR = $(GOPATH)/src
GO111MODULE = off
export GOPATH GO111MODULE
# export DH_GOLANG_INSTALL_EXTRA := gen-go-code.py terminfo shell-integration tools/unicode_names/names.txt
# export DH_GOLANG_BUILDPKG := kitty/tools/cmd
export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --with python3 --with sphinxdoc

override_dh_auto_clean:
	python3 setup.py $(V) clean
	dh_auto_clean --buildsystem=golang -O--builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -O--with=python3 -O--with=sphinxdoc
	dh_auto_configure -O--buildsystem=golang -O--builddirectory=_build

override_dh_auto_build:
	env HOME="$(HOME)" python3 setup.py $(V) linux-package --vcs-rev "b247fda672d69631b8f0fa4db8c7076a96939b77"
	cp $(CURDIR)/kitty/docs_ref_map_generated.h $(GO_BUILDDIR)/kitty/kitty
	cp $(CURDIR)/kitty/uniforms_generated.h $(GO_BUILDDIR)/kitty/kitty
	cd $(GO_BUILDDIR)/kitty && \
		$(CURDIR)/linux-package/bin/kitty +launch gen/go_code.py && \
		cd $(SRCDIR)
	GOPATH="$(GOPATH)" go build -trimpath -v -ldflags '-s -w' -o $(CURDIR)/linux-package/bin/kitten kitty/tools/cmd
	$(MAKE) docs

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p "$(HOME)"
	mkdir -p "$(KITTY_RUNTIME_DIRECTORY)"
	ln -s $(CURDIR)/linux-package/bin/kitten $(CURDIR)/kitty/launcher/kitten
	# Run python tests
	HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) build-launcher
	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" LC_ALL=C.UTF-8 python3 setup.py $(V) test
	# Run Golang tests
	dh_auto_test -O--buildsystem=golang -O--builddirectory=_build
	rm -f $(CURDIR)/kitty/launcher/kitten
endif

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	cp -a linux-package/* $(CURDIR)/debian/tmp/usr/
	# Man pages
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man5
	cp $(CURDIR)/docs/_build/man/*.1 $(CURDIR)/debian/tmp/usr/share/man/man1
	cp $(CURDIR)/docs/_build/man/*.5 $(CURDIR)/debian/tmp/usr/share/man/man5
	# HTML docs
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/kitty
	cp -r $(CURDIR)/docs/_build/html $(CURDIR)/debian/tmp/usr/share/doc/kitty/html
	# Replace shebangs in Python files
	sed -i -e "s%#\!/usr/bin/env python$$%#\!/usr/bin/env python3%g" `find $(CURDIR)/debian/tmp/usr/lib/kitty -type f -name "*.py"`

override_dh_install:
	dh_install -Nkitty-shell-integration -Xlib/kitty/shell-integration
	dh_install -pkitty-shell-integration

override_dh_installdocs:
	dh_installdocs
	# Remove PayPal's tracking pixel
	[ ! -d debian/kitty-doc ] || sed -i '/pixel\.gif/d' debian/kitty-doc/usr/share/doc/kitty/html/support.html

override_dh_python3:
	dh_python3 --no-ext-rename
	dh_golang -O--buildsystem=golang -O--builddirectory=_build

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_compress:
	dh_compress -X/html

## kitty 0.32.0

=== debian/changelog ===
kitty (0.32.0-1) unstable; urgency=medium

  [ Maytham Alsudany ]
  * New upstream version 0.32.0
    * Drop patches that have been applied upstream, unfuzz remaining patches
    * Pass --skip-building-kitten to setup.py instead of patching it out
  * Check for <!nodoc> before building docs
  * Override lintian warning regarding kitty-doc's Built-Using field

  [ Nilesh Patra ]
  * d/rules: Remove --vcs-rev parameter altogether

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 20 Jan 2024 11:26:54 +0530

=== debian/rules ===
--- 
+++ 
@@ -40,22 +40,23 @@
 	dh_auto_configure -O--buildsystem=golang -O--builddirectory=_build
 
 override_dh_auto_build:
-	env HOME="$(HOME)" python3 setup.py $(V) linux-package --vcs-rev "b247fda672d69631b8f0fa4db8c7076a96939b77"
+	env HOME="$(HOME)" python3 setup.py $(V) linux-package --skip-building-kitten
 	cp $(CURDIR)/kitty/docs_ref_map_generated.h $(GO_BUILDDIR)/kitty/kitty
 	cp $(CURDIR)/kitty/uniforms_generated.h $(GO_BUILDDIR)/kitty/kitty
 	cd $(GO_BUILDDIR)/kitty && \
-		$(CURDIR)/linux-package/bin/kitty +launch gen/go_code.py && \
-		cd $(SRCDIR)
+		$(CURDIR)/linux-package/bin/kitty +launch gen/go_code.py
 	GOPATH="$(GOPATH)" go build -trimpath -v -ldflags '-s -w' -o $(CURDIR)/linux-package/bin/kitten kitty/tools/cmd
+	ln -s $(CURDIR)/linux-package/bin/kitten $(CURDIR)/kitty/launcher/kitten
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) docs
+endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p "$(HOME)"
 	mkdir -p "$(KITTY_RUNTIME_DIRECTORY)"
-	ln -s $(CURDIR)/linux-package/bin/kitten $(CURDIR)/kitty/launcher/kitten
 	# Run python tests
-	HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) build-launcher
+	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) build-launcher --skip-building-kitten --skip-code-generation
 	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" LC_ALL=C.UTF-8 python3 setup.py $(V) test
 	# Run Golang tests
 	dh_auto_test -O--buildsystem=golang -O--builddirectory=_build

## kitty 0.32.2

=== debian/changelog ===
kitty (0.32.2-1ubuntu0.4) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 25 Jun 2025 10:57:40 +1000

kitty (0.32.2-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 11 Nov 2024 10:23:40 +1000

kitty (0.32.2-1ubuntu0.2) noble; urgency=medium

  * Backport upstream commit 9eb82c600d4fc392717d6bf09242e19a6ce33ca2
    to fix SyntaxWarning on install (LP: #2073688)
  * Backport upstream commit ecc44dffeb50746cc3e3019750226a80a50082a3
    to fix test_ssh_leading_data with newer releases of Python

 -- Agathe Porte <agathe.porte@canonical.com>  Sun, 21 Jul 2024 15:36:42 +0900

kitty (0.32.2-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:22:26 +0530

kitty (0.32.2-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:00:53 +1100

kitty (0.32.2-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:18:24 +0000

kitty (0.32.2-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:00:08 +0000

kitty (0.32.2-1) unstable; urgency=medium

  * New upstream version 0.32.2 (Refresh patches)
  * d/rules: Set KITTY_PATH_TO_KITTY_EXE for dh_auto_test since
    the executable can not be found at standard paths during build
  * Update B-D from pkg-config => pkgconf

 -- Nilesh Patra <nilesh@debian.org>  Sun, 18 Feb 2024 02:57:45 +0530

kitty (0.32.1-1) unstable; urgency=medium

  * New upstream version 0.32.1 (Closes: #1061362)
  * Update d/copyright

 -- Nilesh Patra <nilesh@debian.org>  Sun, 28 Jan 2024 18:21:26 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: kitty
 Priority: optional
-Maintainer: Nilesh Patra <nilesh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nilesh Patra <nilesh@debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
 Section: x11
 Standards-Version: 4.6.2
@@ -48,7 +49,7 @@
  libxrandr-dev,
  libxxhash-dev,
  libwayland-dev [linux-any],
- pkg-config,
+ pkgconf,
  python3-dev,
  python3-pil <!nocheck>,
  python3-sphinx <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) build-launcher --skip-building-kitten --skip-code-generation
 	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" LC_ALL=C.UTF-8 python3 setup.py $(V) test
 	# Run Golang tests
-	dh_auto_test -O--buildsystem=golang -O--builddirectory=_build
+	KITTY_PATH_TO_KITTY_EXE="$(CURDIR)/kitty/launcher/kitty" dh_auto_test -O--buildsystem=golang -O--builddirectory=_build
 	rm -f $(CURDIR)/kitty/launcher/kitten
 endif

## kitty 0.35.1

=== debian/changelog ===
kitty (0.35.1-1) unstable; urgency=medium

  [ Maytham Alsudany ]
  * New upstream version 0.35.1
  * Update docs/faq.rst patch to replace another image with a link

  [ Nilesh Patra ]
  * set LC_ALL and LANG to en_US.UTF-8 to build-time fixup tests

 -- Nilesh Patra <nilesh@debian.org>  Tue, 04 Jun 2024 17:45:33 +0530

kitty (0.34.1-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * New upstream version 0.34.1 (Refresh Patches)
    (Closes: #1069740)
  * Add versioned B-D on golang-any as per go.mod
  * Add Suggests on fonts-noto-color-emoji (Closes: #1069750)
  * Add patch to ignore vendor dir. Remove the patch once
    the module(s) are de-vendored

  [ Michael R. Crusoe ]
  * pass openmp-simd flags for SIMDe

  [ Maytham Alsudany ]
  * Add new Depends: golang-github-edwvee-exiffix-dev
  * Vendor forked disintegration/imaging dependency
  * d/rules: Remove ifeq nocheck (unneeded since debhelper 13)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 01 May 2024 12:03:05 +0530

kitty (0.33.1-1) unstable; urgency=medium

  * New upstream version 0.33.1
  * Drop patches that have been applied upstream
  * Update/Refresh patches
  * Add patch to fixup tests on s390x

 -- Nilesh Patra <nilesh@debian.org>  Thu, 21 Mar 2024 20:57:34 +0530

kitty (0.33.0-2) unstable; urgency=medium

  * Cherry-pick upstream patch to disable simd on unsupported archs
  * Fixup for xor-data-256 on !amd64 archs
  * Update patch as per upstream commit to not call __builtin_cpu_supports
    for non-SIMD archs.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 17 Mar 2024 01:55:25 +0530

kitty (0.33.0-1) unstable; urgency=medium

  * New upstream version 0.33.0
  * Update/Refresh patches
  * Update copyright
  * Add B-D on libsimde-dev
  * Override gencontrol to include simde Built-Using
  * Update lintian override

 -- Nilesh Patra <nilesh@debian.org>  Sat, 16 Mar 2024 17:46:23 +0530

## kitty 0.35.2

=== debian/changelog ===
kitty (0.35.2-1) unstable; urgency=medium

  * New upstream version 0.35.2 (Closes: #1074216)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 24 Jun 2024 23:12:10 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: kitty
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nilesh Patra <nilesh@debian.org>
+Maintainer: Nilesh Patra <nilesh@debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
 Section: x11
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 XS-Go-Import-Path: kitty
 Homepage: https://sw.kovidgoyal.net/kitty/
@@ -14,12 +13,13 @@
  debhelper-compat (= 13),
  dh-python,
  dh-golang,
- golang-any,
+ golang-any (>= 2:1.22~),
  golang-github-altree-bigfloat-dev,
  golang-github-alecthomas-chroma-v2-dev,
  golang-github-bmatcuk-doublestar-dev (>= 4),
- golang-github-disintegration-imaging-dev,
+# golang-github-disintegration-imaging-dev,
  golang-github-dlclark-regexp2-dev,
+ golang-github-edwvee-exiffix-dev,
  golang-github-google-go-cmp-dev,
  golang-github-google-uuid-dev,
  golang-github-seancfoley-ipaddress-go-dev,
@@ -40,6 +40,7 @@
  liblcms2-dev,
  libpng-dev,
  librsync-dev,
+ libsimde-dev,
  libssl-dev,
  libx11-xcb-dev,
  libxcursor-dev,
@@ -49,6 +50,8 @@
  libxrandr-dev,
  libxxhash-dev,
  libwayland-dev [linux-any],
+ locales,
+ locales-all,
  pkgconf,
  python3-dev,
  python3-pil <!nocheck>,
@@ -59,7 +62,7 @@
  uthash-dev,
  wayland-protocols [linux-any],
  zlib1g-dev,
- zsh <!nocheck>,
+ zsh <!nocheck>
 
 Package: kitty
 Architecture: any
@@ -75,10 +78,12 @@
  libcanberra0
 Suggests:
 # For tui kitten
- imagemagick
+ imagemagick,
+ fonts-noto-color-emoji
 Provides:
  x-terminal-emulator
-Built-Using: ${misc:Built-Using}
+Built-Using: ${misc:Built-Using},
+             ${simde:Built-Using}
 Description: fast, featureful, GPU based terminal emulator
  Kitty supports modern terminal features like: graphics, unicode,
  true-color, OpenType ligatures, mouse protocol, focus tracking, and

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 include /usr/share/dpkg/default.mk
 
-OVERRIDE_CFLAGS = $(CFLAGS)
+OVERRIDE_CFLAGS = $(CFLAGS) -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
 OVERRIDE_CPPFLAGS = $(CPPFLAGS)
 OVERRIDE_LDFLAGS = $(LDFLAGS)
 export OVERRIDE_CFLAGS OVERRIDE_CPPFLAGS OVERRIDE_LDFLAGS
@@ -36,6 +36,7 @@
 	dh_auto_clean --buildsystem=golang -O--builddirectory=_build
 
 override_dh_auto_configure:
+	cp -r $(CURDIR)/debian/vendor/ $(CURDIR)/
 	dh_auto_configure -O--with=python3 -O--with=sphinxdoc
 	dh_auto_configure -O--buildsystem=golang -O--builddirectory=_build
 
@@ -52,16 +53,14 @@
 endif
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p "$(HOME)"
 	mkdir -p "$(KITTY_RUNTIME_DIRECTORY)"
 	# Run python tests
 	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) build-launcher --skip-building-kitten --skip-code-generation
-	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" LC_ALL=C.UTF-8 python3 setup.py $(V) test
+	LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) test
 	# Run Golang tests
 	KITTY_PATH_TO_KITTY_EXE="$(CURDIR)/kitty/launcher/kitty" dh_auto_test -O--buildsystem=golang -O--builddirectory=_build
 	rm -f $(CURDIR)/kitty/launcher/kitten
-endif
 
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/tmp/usr
@@ -95,3 +94,6 @@
 
 override_dh_compress:
 	dh_compress -X/html
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"
